> ## Documentation Index
> Fetch the complete documentation index at: https://developers.myhero.so/llms.txt
> Use this file to discover all available pages before exploring further.

# Create a table reference

> Links a table column into a document, optionally binding it to a specific row.

A reference can be a `relation` (one-to-one row link) or a `reference` (one-to-many).

Returns the created TableReference document.



## OpenAPI

````yaml post /table/reference
openapi: 3.1.0
info:
  title: HERO API
  version: current
  description: |-
    The HERO REST API.

    See https://developers.myhero.so for the rendered docs.
servers:
  - url: https://app.myhero.so
security: []
paths:
  /table/reference:
    post:
      tags:
        - Tables
      summary: Create a table reference
      description: >-
        Links a table column into a document, optionally binding it to a
        specific row.


        A reference can be a `relation` (one-to-one row link) or a `reference`
        (one-to-many).


        Returns the created TableReference document.
      operationId: createTableReference
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                _id:
                  type: string
                tableId:
                  type: string
                  minLength: 1
                columnId:
                  type: string
                  minLength: 1
                documentId:
                  type: string
                  minLength: 1
                relatedRowId:
                  type:
                    - string
                    - 'null'
                rowId:
                  type:
                    - string
                    - 'null'
                oneToManyColumnId:
                  type:
                    - string
                    - 'null'
                oneToManyInstanceIds:
                  type: array
                  items:
                    type: string
                type:
                  type: string
                  enum:
                    - relation
                    - reference
                    - global
              required:
                - tableId
                - columnId
                - documentId
      responses:
        '200':
          description: 200 response
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: object
                    properties:
                      _id:
                        type: string
                      originId:
                        type: string
                      documentId:
                        type: string
                      workspaceId:
                        type: string
                      tableId:
                        type: string
                      columnId:
                        type: string
                      relatedRowId:
                        type:
                          - string
                          - 'null'
                      rowId:
                        type:
                          - string
                          - 'null'
                      oneToManyColumnId:
                        type:
                          - string
                          - 'null'
                      oneToManyInstanceIds:
                        type: array
                        items:
                          type: string
                      columnName:
                        type: string
                      tableName:
                        type: string
                      type:
                        type: string
                        enum:
                          - relation
                          - reference
                          - global
                      createdAt:
                        type: number
                      updatedAt:
                        type: number
                    required:
                      - _id
                      - documentId
                      - workspaceId
                      - tableId
                      - columnId
                      - relatedRowId
                      - columnName
                      - tableName
                      - type
                      - createdAt
                      - updatedAt
                required:
                  - data
        '400':
          description: 400 response
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    description: |-
                      Error class name (e.g.

                      ValidationError, NotFound)
                  message:
                    type: string
                    description: Human-readable error message
                  details:
                    type: array
                    items: {}
                required:
                  - error
                  - message
        '403':
          description: 403 response
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    description: |-
                      Error class name (e.g.

                      ValidationError, NotFound)
                  message:
                    type: string
                    description: Human-readable error message
                  details:
                    type: array
                    items: {}
                required:
                  - error
                  - message
        '500':
          description: 500 response
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    description: |-
                      Error class name (e.g.

                      ValidationError, NotFound)
                  message:
                    type: string
                    description: Human-readable error message
                  details:
                    type: array
                    items: {}
                required:
                  - error
                  - message
      security:
        - bearerAuth: []
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: HERO personal access token

````